/* Definitionen berall bentigter Datentypen */

#ifndef _STDTYPES_INCLUDED
#define _STDTYPES_INCLUDED

/* Daten-Typen */

#define  integer   short int
#define  word      unsigned short int
#define  byte      unsigned char
#define  dword     unsigned long
#define  cardinal  unsigned long
#define  bool      unsigned char
#define  int64     long long
#define  word64    unsigned long long

#define  BOOL      unsigned char
#define  BYTE      unsigned char
#define  WORD      unsigned short int
#define  WCHAR     unsigned short int
#define  UINT      unsigned short int
#define  DWORD     unsigned long
#define  ULONG     unsigned long

#define  TRUE      1
#define  FALSE     0
#define  true      1
#define  false     0


/* Mist, den ich mir sowieso nicht merken kann */
#define     MOD   %
#define     XOR   ^
#define     NOT   ~
#define     AND   &
#define     OR    |

/* Symbole fr Ausgaben auf (theoretische) Gerte  */
#define  toUART     1        /* fr serielle Ausgabe per V24 */
#define  toUSB     16        /* fr serielle Ausgabe per USB */
#define  toGLCD    32        /* fr Monochrom GLCD */
#define  toCGLCD   64        /* fr Color-GLCD */
#define  toBUF    256        /* Ausgabe in Puffer */

#define  ComPort  toUART     /* hier: Standard-E/A Port */

#endif






